require "ecc/ecc"
require "ninja/ninja"

workspace "2d-platformer"
	architecture "x64"
	
	configurations
	{
		"Debug",
		"Release"
	}

	startproject "Game"

output_dir = "%{cfg.buildcfg}-%{cfg.system}-%{cfg.architecture}"
vs_intdir = "!$(ProjectDir)intermediate-files/" .. output_dir
intdir = "%{prj.location}/intermediate-files/" .. output_dir
vs_bindir = "$(ProjectDir)bin/" .. output_dir 
bindir = "%{prj.location}/bin/" .. output_dir
corelibdir = "%{wks.location}/Engine-Core/lib"
vs_corelibdir = "$(SolutionDir)Engine-Core/lib"
coreinclude_dir = "%{wks.location}/Engine-Core/include"
vs_coreinclude_dir = "$(SolutionDir)Engine-Core/include"
vs_sfmldir = "$(SolutionDir)Engine-Core/vendor/SFML"
sfmldir = "%{wks.location}/Engine-Core/vendor/SFML"
vs_imguidir = "$(SolutionDir)Engine-Core/vendor/imgui"
imguidir = "%{wks.location}/Engine-Core/vendor/imgui"
vs_include_dir = "$(ProjectDir)include"
include_dir = "%{prj.location}/include"

include "Engine-Core/Build-Core.lua"
include "Game/Build-Game.lua"
include "Editor/Build-Editor.lua"